TriggerDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.TriggerDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class TriggerDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.events.server.session.TriggerDAO

All Implemented Interfaces:
  TriggerDAOInterface

    public class TriggerDAO

extends HibernateDAO
implements TriggerDAOInterface

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`TriggerDAO(DAOFactory f)`

Method Summary
`RegisteredTrigger` | `create(RegisteredTriggerValue createInfo)`
`java.util.Set` | `findAllEnabledTriggers()`
`java.util.List` | `findByAlertDefinitionId(java.lang.Integer id)` Find all the registered triggers associated with the alert definition.
`RegisteredTrigger` | `findById(java.lang.Integer id)`
`java.util.Map` | `findTriggerIdsByAlertDefinitionIds(java.util.List alertDefIds)` Find all the registered trigger ids associated with the alert definition ids.
`RegisteredTrigger` | `get(java.lang.Integer id)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.server.session.TriggerDAOInterface
`findAll`

Constructor Detail

### TriggerDAO

    public TriggerDAO(DAOFactory f)

Method Detail

### create

    public RegisteredTrigger create(RegisteredTriggerValue createInfo)

  Specified by:
    `create` in interface `TriggerDAOInterface`

### findById

    public RegisteredTrigger findById(java.lang.Integer id)

  Specified by:
    `findById` in interface `TriggerDAOInterface`

### get

    public RegisteredTrigger get(java.lang.Integer id)

  Specified by:
    `get` in interface `TriggerDAOInterface`

### findByAlertDefinitionId

    public java.util.List findByAlertDefinitionId(java.lang.Integer id)

  Find all the registered triggers associated with the alert definition.

  Specified by:
    `findByAlertDefinitionId` in interface `TriggerDAOInterface`
  Parameters:
    `id` - The alert definition id.
  Returns:
    The list of associated registered triggers.

### findTriggerIdsByAlertDefinitionIds

    public java.util.Map findTriggerIdsByAlertDefinitionIds(java.util.List alertDefIds)

  Find all the registered trigger ids associated with the alert definition ids.

  Specified by:
    `findTriggerIdsByAlertDefinitionIds` in interface `TriggerDAOInterface`
  Parameters:
    `alertDefIds` - The alert definition ids.
  Returns:
    `Map` of alert definition id `Integer` to `List` of trigger id `Integer`

### findAllEnabledTriggers

    public java.util.Set findAllEnabledTriggers()

  Specified by:
    `findAllEnabledTriggers` in interface `TriggerDAOInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.